Main Page Widgets Namespaces Book

# Gdk::PixbufLoader Class Reference

Inheritance diagram for Gdk::PixbufLoader:

[legend]
List of all members.

## Public Methods

virtual | ~PixbufLoader ()
GdkPixbufLoader* | gobj ()
const GdkPixbufLoader* | gobj () const
GdkPixbufLoader* | gobj_copy ()
void | write (const guint8* buf, gsize count)

Exceptions:

  Gdk::PixbufError |
  Glib::FileError |

void | close ()

Exceptions:

  Gdk::PixbufError |
  Glib::FileError |

Glib::RefPtr<Gdk::Pixbuf> | get_pixbuf ()
Glib::RefPtr<Gdk::PixbufAnimation> | get_animation ()
Glib::SignalProxy0<void> | signal_area_prepared ()
Glib::SignalProxy4< void, int, int, int, int > | signal_area_updated ()
Glib::SignalProxy0<void> | signal_closed ()

## Static Public Methods

Glib::RefPtr<PixbufLoader> | create ()
Glib::RefPtr<PixbufLoader> | create (const Glib::ustring& image_type)

Exceptions:

  Gdk::PixbufError |

## Protected Methods

| PixbufLoader ()
| PixbufLoader (const Glib::ustring& image_type)

Exceptions:

  Gdk::PixbufError |

virtual void | on_area_prepared ()
virtual void | on_area_updated (int x, int y, int width, int height)
virtual void | on_closed ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gdk::PixbufLoader> | wrap (GdkPixbufLoader* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::PixbufLoader::~PixbufLoader | ( |  | ) | `[virtual]`

Gdk::PixbufLoader::PixbufLoader | ( |  | ) | `[protected]`

Gdk::PixbufLoader::PixbufLoader | ( | const Glib::ustring& | image_type | ) | `[explicit, protected]`

Exceptions:

  Gdk::PixbufError |

## Member Function Documentation

void Gdk::PixbufLoader::close | ( |  | ) |

Exceptions:

  Gdk::PixbufError |
  Glib::FileError |

Glib::RefPtr<PixbufLoader> Gdk::PixbufLoader::create | ( | const Glib::ustring& | image_type | ) | `[static]`

Exceptions:

  Gdk::PixbufError |

Glib::RefPtr<PixbufLoader> Gdk::PixbufLoader::create | ( |  | ) | `[static]`

Glib::RefPtr<Gdk::PixbufAnimation> Gdk::PixbufLoader::get_animation | ( |  | ) |

Glib::RefPtr<Gdk::Pixbuf> Gdk::PixbufLoader::get_pixbuf | ( |  | ) |

const GdkPixbufLoader* Gdk::PixbufLoader::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

GdkPixbufLoader* Gdk::PixbufLoader::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

GdkPixbufLoader* Gdk::PixbufLoader::gobj_copy | ( |  | ) |

virtual void Gdk::PixbufLoader::on_area_prepared | ( |  | ) | `[protected, virtual]`

virtual void Gdk::PixbufLoader::on_area_updated | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) | `[protected, virtual]`

virtual void Gdk::PixbufLoader::on_closed | ( |  | ) | `[protected, virtual]`

Glib::SignalProxy0<void> Gdk::PixbufLoader::signal_area_prepared | ( |  | ) |

Prototype:
  `void area_prepared()`

Glib::SignalProxy4<void,int,int,int,int> Gdk::PixbufLoader::signal_area_updated | ( |  | ) |

Prototype:
  `void area_updated(int x, int y, int width, int height)`

Glib::SignalProxy0<void> Gdk::PixbufLoader::signal_closed | ( |  | ) |

Prototype:
  `void closed()`

void Gdk::PixbufLoader::write | ( | const guint8* | buf,
|  | gsize | count
| ) |

Exceptions:

  Gdk::PixbufError |
  Glib::FileError |

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::PixbufLoader> wrap | ( | GdkPixbufLoader* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- pixbufloader.h